at.chipkarte.client.elgaad.soap

## Class BackendMeldung

- Object
- - at.chipkarte.client.elgaad.soap.BackendMeldung

-     public class BackendMeldung
      extends Object

  Meldungsinformation aus dem jeweiligen Backend-System.
  Für jeden entdeckten Fehler bzw. jede Warnung wird ein eigenes BackendMeldung-Objekt retourniert.
  Die Parameter BackendCode und BackendText sollten dem Benutzer nur dann angezeigt werden, wenn innerhalb der BackendMeldung kein AdapterCode und AdapterText gesetzt sind.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendMeldung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdapterCode()` Vom Adapter gesetzter Meldungscode.
    `String` | `getAdapterText()` Vom Adapter gesetzter Meldungstext zum Adapter-Meldungscode.
    `String` | `getBackendCode()` Vom Backend retournierter Meldungscode.
    `String` | `getBackendId()` ID des Backends, das die Meldung ausgelöst hat.
    `String` | `getBackendText()` Vom Backend retournierter Meldungstext.
    `String` | `getMeldungstyp()` Typ der Backend-Meldung.
    `TransaktionsInfo` | `getTransaktionsinfo()` Informationen zur Transaktionsnummer.
    `String` | `getValidierungsId()` ValidierungsId der zugeordneten, betroffenen Struktur.
    `void` | `setAdapterCode(String adapterCode)`
    `void` | `setAdapterText(String adapterText)`
    `void` | `setBackendCode(String backendCode)`
    `void` | `setBackendId(String backendId)`
    `void` | `setBackendText(String backendText)`
    `void` | `setMeldungstyp(String meldungstyp)`
    `void` | `setTransaktionsinfo(TransaktionsInfo transaktionsinfo)`
    `void` | `setValidierungsId(String validierungsId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackendMeldung

          public BackendMeldung()

  - ### Method Detail

    - #### getBackendId

          public String getBackendId()

      ID des Backends, das die Meldung ausgelöst hat.
      Angabe: Muss.
      Format: alphanumerisch. Mögliche Werte: "Bereiche", "EMED"
      Returns:
        Id des Backends.

    - #### getBackendCode

          public String getBackendCode()

      Vom Backend retournierter Meldungscode.
      Angabe: Muss.
      Format: alphanumerisch.
      Returns:
        Code aus dem Backend.

    - #### getBackendText

          public String getBackendText()

      Vom Backend retournierter Meldungstext.
      Angabe: Muss.
      Format: alphanumerisch.
      Returns:
        Text aus dem Backend.

    - #### getMeldungstyp

          public String getMeldungstyp()

      Typ der Backend-Meldung.
      Angabe: Muss.
      mögliche Werte: siehe `MeldungstypConstants`.
      Returns:
        Meldungstyp aus dem Backend.

    - #### getAdapterCode

          public String getAdapterCode()

      Vom Adapter gesetzter Meldungscode.
      Dieser Code wird gesetzt, wenn zusätzlich zur Backend-Meldung eine Information des Adapters vorhanden ist (als Unterstützung zur Fehlerbehebung).
      Angabe: Kann.
      mögliche Werte: siehe `AdapterCodeConstants`.
      Returns:
        Code aus dem eCS.

    - #### getAdapterText

          public String getAdapterText()

      Vom Adapter gesetzter Meldungstext zum Adapter-Meldungscode.
      Angabe: Bedingt. Angegeben wenn ein Adaptercode vorhanden ist.
      Format: alphanumerisch.
      Returns:
        Text aus dem eCS.

    - #### getValidierungsId

          public String getValidierungsId()

      ValidierungsId der zugeordneten, betroffenen Struktur.
      Angabe: Bedingt.
      Die ValidierungsId wird nur mitgeliefert wenn:
      - diese durch die VPSWH angegeben wurde
      - die Meldung einer Struktur zuordbar ist
      Bsp.: Bei der Funktion abgabenSpeichern() werden mehrere Abgaben angegeben. Die VPSWH versorgt für jede Abgabe innerhalb der untergelagerten Struktur `metadaten/dokumentId` eine eindeutige Id (sowohl die Versorgung selbst, auch auch die Sicherstellung, dass die Ids eindeutig sind, liegt in der Verantwortung der VPSWH). Im Backend wird in der 3ten Abgabe ein Fehler festgestellt, der eindeutig dieser Abgabe zugeordnet werden kann. Diese Abgabe wurde mit der ValidierungsId "xyz" gekennzeichnet. In der BackendMeldung wird daher diese ValidierungsId retourniert.
      Returns:
        ValidierungsId der betroffenen Struktur.

    - #### getTransaktionsinfo

          public TransaktionsInfo getTransaktionsinfo()

      Informationen zur Transaktionsnummer. Siehe `TransaktionsInfo`.
      Angabe: Bedingt. Versorgt wenn Meldungstyp gleich "E" (siehe `MeldungstypConstants`).
      Returns:
        TransaktionsInfo.

    - #### setBackendId

          public void setBackendId(String backendId)

    - #### setBackendCode

          public void setBackendCode(String backendCode)

    - #### setBackendText

          public void setBackendText(String backendText)

    - #### setMeldungstyp

          public void setMeldungstyp(String meldungstyp)

    - #### setAdapterCode

          public void setAdapterCode(String adapterCode)

    - #### setAdapterText

          public void setAdapterText(String adapterText)

    - #### setValidierungsId

          public void setValidierungsId(String validierungsId)

    - #### setTransaktionsinfo

          public void setTransaktionsinfo(TransaktionsInfo transaktionsinfo)